Package com.independentsoft.office.vml

# Class ShapeStyle

java.lang.Object
com.independentsoft.office.vml.ShapeStyle

public class ShapeStyle extends Object
The Class ShapeStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShapeStyle()`
  Instantiates a new shape style.
  `ShapeStyle​(String style)`
  Instantiates a new shape style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ShapeStyle`
  `clone()`
  `AlternateTextDirection`
  `getAlternateTextDirection()`
  Gets the alternate text direction.
  `AlternateTextLayoutFlow`
  `getAlternateTextLayoutFlow()`
  Gets the alternate text layout flow.
  `String`
  `getBottomMargin()`
  Gets the bottom margin.
  `String`
  `getBottomWrapDistance()`
  Gets the bottom wrap distance.
  `Flip`
  `getFlip()`
  Gets the flip.
  `String`
  `getFontFamily()`
  Gets the font family.
  `String`
  `getFontSize()`
  Gets the font size.
  `FontStyle`
  `getFontStyle()`
  Gets the font style.
  `FontVariant`
  `getFontVariant()`
  Gets the font variant.
  `FontWeight`
  `getFontWeight()`
  Gets the font weight.
  `String`
  `getHeight()`
  Gets the height.
  `HorizontalPosition`
  `getHorizontalPosition()`
  Gets the horizontal position.
  `String`
  `getLeft()`
  Gets the left.
  `String`
  `getLeftMargin()`
  Gets the left margin.
  `String`
  `getLeftWrapDistance()`
  Gets the left wrap distance.
  `String`
  `getNextTextBox()`
  Gets the next text box.
  `Position`
  `getPosition()`
  Gets the position.
  `RelativeHorizontalPosition`
  `getRelativeHorizontalPosition()`
  Gets the relative horizontal position.
  `RelativeVerticalPosition`
  `getRelativeVerticalPosition()`
  Gets the relative vertical position.
  `String`
  `getRightMargin()`
  Gets the right margin.
  `String`
  `getRightWrapDistance()`
  Gets the right wrap distance.
  `String`
  `getRotation()`
  Gets the rotation.
  `TextAlignment`
  `getTextAlignment()`
  Gets the text alignment.
  `TextDecoration`
  `getTextDecoration()`
  Gets the text decoration.
  `TextDirection`
  `getTextDirection()`
  Gets the text direction.
  `TextLayoutFlow`
  `getTextLayoutFlow()`
  Gets the text layout flow.
  `TextRotation`
  `getTextRotation()`
  Gets the text rotation.
  `String`
  `getTextScale()`
  Gets the text scale.
  `String`
  `getTextSpacing()`
  Gets the text spacing.
  `TextSpacingMode`
  `getTextSpacingMode()`
  Gets the text spacing mode.
  `String`
  `getTop()`
  Gets the top.
  `String`
  `getTopMargin()`
  Gets the top margin.
  `String`
  `getTopWrapDistance()`
  Gets the top wrap distance.
  `VerticalPosition`
  `getVerticalPosition()`
  Gets the vertical position.
  `VerticalTextAnchor`
  `getVerticalTextAnchor()`
  Gets the vertical text anchor.
  `Visibility`
  `getVisibility()`
  Gets the visibility.
  `String`
  `getWidth()`
  Gets the width.
  `WrapStyle`
  `getWrapStyle()`
  Gets the wrap style.
  `String`
  `getZIndex()`
  Gets the z index.
  `boolean`
  `hasEnableKerning()`
  Checks for enable kerning.
  `boolean`
  `hasShadow()`
  Checks for shadow.
  `boolean`
  `isFitShapeToText()`
  Checks if is fit shape to text.
  `boolean`
  `isFitTextToShape()`
  Checks if is fit text to shape.
  `boolean`
  `isReverse()`
  Checks if is reverse.
  `boolean`
  `isRotateLetters()`
  Checks if is rotate letters.
  `boolean`
  `isSameLetterHeights()`
  Checks if is same letter heights.
  `boolean`
  `isWrapEdited()`
  Checks if is wrap edited.
  `void`
  `setAlternateTextDirection​(AlternateTextDirection alternateTextDirection)`
  Sets the alternate text direction.
  `void`
  `setAlternateTextLayoutFlow​(AlternateTextLayoutFlow alternateTextLayoutFlow)`
  Sets the alternate text layout flow.
  `void`
  `setBottomMargin​(String bottomMargin)`
  Sets the bottom margin.
  `void`
  `setBottomWrapDistance​(String bottomWrapDistance)`
  Sets the bottom wrap distance.
  `void`
  `setEnableKerning​(boolean enableKerning)`
  Sets the enable kerning.
  `void`
  `setFitShapeToText​(boolean fitShapeToText)`
  Sets the fit shape to text.
  `void`
  `setFitTextToShape​(boolean fitTextToShape)`
  Sets the fit text to shape.
  `void`
  `setFlip​(Flip flip)`
  Sets the flip.
  `void`
  `setFontFamily​(String fontFamily)`
  Sets the font family.
  `void`
  `setFontSize​(String fontSize)`
  Sets the font size.
  `void`
  `setFontStyle​(FontStyle fontStyle)`
  Sets the font style.
  `void`
  `setFontVariant​(FontVariant fontVariant)`
  Sets the font variant.
  `void`
  `setFontWeight​(FontWeight fontWeight)`
  Sets the font weight.
  `void`
  `setHeight​(String height)`
  Sets the height.
  `void`
  `setHorizontalPosition​(HorizontalPosition horizontalPosition)`
  Sets the horizontal position.
  `void`
  `setLeft​(String left)`
  Sets the left.
  `void`
  `setLeftMargin​(String leftMargin)`
  Sets the left margin.
  `void`
  `setLeftWrapDistance​(String leftWrapDistance)`
  Sets the left wrap distance.
  `void`
  `setNextTextBox​(String nextTextBox)`
  Sets the next text box.
  `void`
  `setPosition​(Position position)`
  Sets the position.
  `void`
  `setRelativeHorizontalPosition​(RelativeHorizontalPosition relativeHorizontalPosition)`
  Sets the relative horizontal position.
  `void`
  `setRelativeVerticalPosition​(RelativeVerticalPosition relativeVerticalPosition)`
  Sets the relative vertical position.
  `void`
  `setReverse​(boolean isReverse)`
  Sets the reverse.
  `void`
  `setRightMargin​(String rightMargin)`
  Sets the right margin.
  `void`
  `setRightWrapDistance​(String rightWrapDistance)`
  Sets the right wrap distance.
  `void`
  `setRotateLetters​(boolean rotateLetters)`
  Sets the rotate letters.
  `void`
  `setRotation​(String rotation)`
  Sets the rotation.
  `void`
  `setSameLetterHeights​(boolean sameLetterHeights)`
  Sets the same letter heights.
  `void`
  `setShadow​(boolean hasShadow)`
  Sets the shadow.
  `void`
  `setTextAlignment​(TextAlignment textAlignment)`
  Sets the text alignment.
  `void`
  `setTextDecoration​(TextDecoration textDecoration)`
  Sets the text decoration.
  `void`
  `setTextDirection​(TextDirection textDirection)`
  Sets the text direction.
  `void`
  `setTextLayoutFlow​(TextLayoutFlow textLayoutFlow)`
  Sets the text layout flow.
  `void`
  `setTextRotation​(TextRotation textRotation)`
  Sets the text rotation.
  `void`
  `setTextScale​(String textScale)`
  Sets the text scale.
  `void`
  `setTextSpacing​(String textSpacing)`
  Sets the text spacing.
  `void`
  `setTextSpacingMode​(TextSpacingMode textSpacingMode)`
  Sets the text spacing mode.
  `void`
  `setTop​(String top)`
  Sets the top.
  `void`
  `setTopMargin​(String topMargin)`
  Sets the top margin.
  `void`
  `setTopWrapDistance​(String topWrapDistance)`
  Sets the top wrap distance.
  `void`
  `setVerticalPosition​(VerticalPosition verticalPosition)`
  Sets the vertical position.
  `void`
  `setVerticalTextAnchor​(VerticalTextAnchor verticalTextAnchor)`
  Sets the vertical text anchor.
  `void`
  `setVisibility​(Visibility visibility)`
  Sets the visibility.
  `void`
  `setWidth​(String width)`
  Sets the width.
  `void`
  `setWrapEdited​(boolean isWrapEdited)`
  Sets the wrap edited.
  `void`
  `setWrapStyle​(WrapStyle wrapStyle)`
  Sets the wrap style.
  `void`
  `setZIndex​(String zIndex)`
  Sets the z index.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShapeStyle

    public ShapeStyle()
    Instantiates a new shape style.

  - ### ShapeStyle

    public ShapeStyle​(String style)
    Instantiates a new shape style.
    Parameters:
      `style` - the style

- ## Method Details

  - ### clone

    public ShapeStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFlip

    public Flip getFlip()
    Gets the flip.
    Returns:
      the flip

  - ### setFlip

    public void setFlip​(Flip flip)
    Sets the flip.
    Parameters:
      `flip` - the new flip

  - ### getHeight

    public String getHeight()
    Gets the height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(String height)
    Sets the height.
    Parameters:
      `height` - the new height

  - ### getLeft

    public String getLeft()
    Gets the left.
    Returns:
      the left

  - ### setLeft

    public void setLeft​(String left)
    Sets the left.
    Parameters:
      `left` - the new left

  - ### getBottomMargin

    public String getBottomMargin()
    Gets the bottom margin.
    Returns:
      the bottom margin

  - ### setBottomMargin

    public void setBottomMargin​(String bottomMargin)
    Sets the bottom margin.
    Parameters:
      `bottomMargin` - the new bottom margin

  - ### getLeftMargin

    public String getLeftMargin()
    Gets the left margin.
    Returns:
      the left margin

  - ### setLeftMargin

    public void setLeftMargin​(String leftMargin)
    Sets the left margin.
    Parameters:
      `leftMargin` - the new left margin

  - ### getRightMargin

    public String getRightMargin()
    Gets the right margin.
    Returns:
      the right margin

  - ### setRightMargin

    public void setRightMargin​(String rightMargin)
    Sets the right margin.
    Parameters:
      `rightMargin` - the new right margin

  - ### getTopMargin

    public String getTopMargin()
    Gets the top margin.
    Returns:
      the top margin

  - ### setTopMargin

    public void setTopMargin​(String topMargin)
    Sets the top margin.
    Parameters:
      `topMargin` - the new top margin

  - ### getHorizontalPosition

    public HorizontalPosition getHorizontalPosition()
    Gets the horizontal position.
    Returns:
      the horizontal position

  - ### setHorizontalPosition

    public void setHorizontalPosition​(HorizontalPosition horizontalPosition)
    Sets the horizontal position.
    Parameters:
      `horizontalPosition` - the new horizontal position

  - ### getRelativeHorizontalPosition

    public RelativeHorizontalPosition getRelativeHorizontalPosition()
    Gets the relative horizontal position.
    Returns:
      the relative horizontal position

  - ### setRelativeHorizontalPosition

    public void setRelativeHorizontalPosition​(RelativeHorizontalPosition relativeHorizontalPosition)
    Sets the relative horizontal position.
    Parameters:
      `relativeHorizontalPosition` - the new relative horizontal position

  - ### getVerticalPosition

    public VerticalPosition getVerticalPosition()
    Gets the vertical position.
    Returns:
      the vertical position

  - ### setVerticalPosition

    public void setVerticalPosition​(VerticalPosition verticalPosition)
    Sets the vertical position.
    Parameters:
      `verticalPosition` - the new vertical position

  - ### getRelativeVerticalPosition

    public RelativeVerticalPosition getRelativeVerticalPosition()
    Gets the relative vertical position.
    Returns:
      the relative vertical position

  - ### setRelativeVerticalPosition

    public void setRelativeVerticalPosition​(RelativeVerticalPosition relativeVerticalPosition)
    Sets the relative vertical position.
    Parameters:
      `relativeVerticalPosition` - the new relative vertical position

  - ### getBottomWrapDistance

    public String getBottomWrapDistance()
    Gets the bottom wrap distance.
    Returns:
      the bottom wrap distance

  - ### setBottomWrapDistance

    public void setBottomWrapDistance​(String bottomWrapDistance)
    Sets the bottom wrap distance.
    Parameters:
      `bottomWrapDistance` - the new bottom wrap distance

  - ### getLeftWrapDistance

    public String getLeftWrapDistance()
    Gets the left wrap distance.
    Returns:
      the left wrap distance

  - ### setLeftWrapDistance

    public void setLeftWrapDistance​(String leftWrapDistance)
    Sets the left wrap distance.
    Parameters:
      `leftWrapDistance` - the new left wrap distance

  - ### getRightWrapDistance

    public String getRightWrapDistance()
    Gets the right wrap distance.
    Returns:
      the right wrap distance

  - ### setRightWrapDistance

    public void setRightWrapDistance​(String rightWrapDistance)
    Sets the right wrap distance.
    Parameters:
      `rightWrapDistance` - the new right wrap distance

  - ### getTopWrapDistance

    public String getTopWrapDistance()
    Gets the top wrap distance.
    Returns:
      the top wrap distance

  - ### setTopWrapDistance

    public void setTopWrapDistance​(String topWrapDistance)
    Sets the top wrap distance.
    Parameters:
      `topWrapDistance` - the new top wrap distance

  - ### isWrapEdited

    public boolean isWrapEdited()
    Checks if is wrap edited.
    Returns:
      true, if is wrap edited

  - ### setWrapEdited

    public void setWrapEdited​(boolean isWrapEdited)
    Sets the wrap edited.
    Parameters:
      `isWrapEdited` - the new wrap edited

  - ### getWrapStyle

    public WrapStyle getWrapStyle()
    Gets the wrap style.
    Returns:
      the wrap style

  - ### setWrapStyle

    public void setWrapStyle​(WrapStyle wrapStyle)
    Sets the wrap style.
    Parameters:
      `wrapStyle` - the new wrap style

  - ### getPosition

    public Position getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(Position position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### getRotation

    public String getRotation()
    Gets the rotation.
    Returns:
      the rotation

  - ### setRotation

    public void setRotation​(String rotation)
    Sets the rotation.
    Parameters:
      `rotation` - the new rotation

  - ### getTop

    public String getTop()
    Gets the top.
    Returns:
      the top

  - ### setTop

    public void setTop​(String top)
    Sets the top.
    Parameters:
      `top` - the new top

  - ### getVisibility

    public Visibility getVisibility()
    Gets the visibility.
    Returns:
      the visibility

  - ### setVisibility

    public void setVisibility​(Visibility visibility)
    Sets the visibility.
    Parameters:
      `visibility` - the new visibility

  - ### getWidth

    public String getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(String width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getZIndex

    public String getZIndex()
    Gets the z index.
    Returns:
      the z index

  - ### setZIndex

    public void setZIndex​(String zIndex)
    Sets the z index.
    Parameters:
      `zIndex` - the new z index

  - ### getTextDirection

    public TextDirection getTextDirection()
    Gets the text direction.
    Returns:
      the text direction

  - ### setTextDirection

    public void setTextDirection​(TextDirection textDirection)
    Sets the text direction.
    Parameters:
      `textDirection` - the new text direction

  - ### getTextLayoutFlow

    public TextLayoutFlow getTextLayoutFlow()
    Gets the text layout flow.
    Returns:
      the text layout flow

  - ### setTextLayoutFlow

    public void setTextLayoutFlow​(TextLayoutFlow textLayoutFlow)
    Sets the text layout flow.
    Parameters:
      `textLayoutFlow` - the new text layout flow

  - ### getAlternateTextDirection

    public AlternateTextDirection getAlternateTextDirection()
    Gets the alternate text direction.
    Returns:
      the alternate text direction

  - ### setAlternateTextDirection

    public void setAlternateTextDirection​(AlternateTextDirection alternateTextDirection)
    Sets the alternate text direction.
    Parameters:
      `alternateTextDirection` - the new alternate text direction

  - ### isFitShapeToText

    public boolean isFitShapeToText()
    Checks if is fit shape to text.
    Returns:
      true, if is fit shape to text

  - ### setFitShapeToText

    public void setFitShapeToText​(boolean fitShapeToText)
    Sets the fit shape to text.
    Parameters:
      `fitShapeToText` - the new fit shape to text

  - ### isFitTextToShape

    public boolean isFitTextToShape()
    Checks if is fit text to shape.
    Returns:
      true, if is fit text to shape

  - ### setFitTextToShape

    public void setFitTextToShape​(boolean fitTextToShape)
    Sets the fit text to shape.
    Parameters:
      `fitTextToShape` - the new fit text to shape

  - ### getAlternateTextLayoutFlow

    public AlternateTextLayoutFlow getAlternateTextLayoutFlow()
    Gets the alternate text layout flow.
    Returns:
      the alternate text layout flow

  - ### setAlternateTextLayoutFlow

    public void setAlternateTextLayoutFlow​(AlternateTextLayoutFlow alternateTextLayoutFlow)
    Sets the alternate text layout flow.
    Parameters:
      `alternateTextLayoutFlow` - the new alternate text layout flow

  - ### getNextTextBox

    public String getNextTextBox()
    Gets the next text box.
    Returns:
      the next text box

  - ### setNextTextBox

    public void setNextTextBox​(String nextTextBox)
    Sets the next text box.
    Parameters:
      `nextTextBox` - the new next text box

  - ### getTextRotation

    public TextRotation getTextRotation()
    Gets the text rotation.
    Returns:
      the text rotation

  - ### setTextRotation

    public void setTextRotation​(TextRotation textRotation)
    Sets the text rotation.
    Parameters:
      `textRotation` - the new text rotation

  - ### getTextScale

    public String getTextScale()
    Gets the text scale.
    Returns:
      the text scale

  - ### setTextScale

    public void setTextScale​(String textScale)
    Sets the text scale.
    Parameters:
      `textScale` - the new text scale

  - ### getVerticalTextAnchor

    public VerticalTextAnchor getVerticalTextAnchor()
    Gets the vertical text anchor.
    Returns:
      the vertical text anchor

  - ### setVerticalTextAnchor

    public void setVerticalTextAnchor​(VerticalTextAnchor verticalTextAnchor)
    Sets the vertical text anchor.
    Parameters:
      `verticalTextAnchor` - the new vertical text anchor

  - ### getFontFamily

    public String getFontFamily()
    Gets the font family.
    Returns:
      the font family

  - ### setFontFamily

    public void setFontFamily​(String fontFamily)
    Sets the font family.
    Parameters:
      `fontFamily` - the new font family

  - ### getFontSize

    public String getFontSize()
    Gets the font size.
    Returns:
      the font size

  - ### setFontSize

    public void setFontSize​(String fontSize)
    Sets the font size.
    Parameters:
      `fontSize` - the new font size

  - ### getFontStyle

    public FontStyle getFontStyle()
    Gets the font style.
    Returns:
      the font style

  - ### setFontStyle

    public void setFontStyle​(FontStyle fontStyle)
    Sets the font style.
    Parameters:
      `fontStyle` - the new font style

  - ### getFontVariant

    public FontVariant getFontVariant()
    Gets the font variant.
    Returns:
      the font variant

  - ### setFontVariant

    public void setFontVariant​(FontVariant fontVariant)
    Sets the font variant.
    Parameters:
      `fontVariant` - the new font variant

  - ### getFontWeight

    public FontWeight getFontWeight()
    Gets the font weight.
    Returns:
      the font weight

  - ### setFontWeight

    public void setFontWeight​(FontWeight fontWeight)
    Sets the font weight.
    Parameters:
      `fontWeight` - the new font weight

  - ### hasShadow

    public boolean hasShadow()
    Checks for shadow.
    Returns:
      true, if successful

  - ### setShadow

    public void setShadow​(boolean hasShadow)
    Sets the shadow.
    Parameters:
      `hasShadow` - the new shadow

  - ### getTextDecoration

    public TextDecoration getTextDecoration()
    Gets the text decoration.
    Returns:
      the text decoration

  - ### setTextDecoration

    public void setTextDecoration​(TextDecoration textDecoration)
    Sets the text decoration.
    Parameters:
      `textDecoration` - the new text decoration

  - ### isRotateLetters

    public boolean isRotateLetters()
    Checks if is rotate letters.
    Returns:
      true, if is rotate letters

  - ### setRotateLetters

    public void setRotateLetters​(boolean rotateLetters)
    Sets the rotate letters.
    Parameters:
      `rotateLetters` - the new rotate letters

  - ### isSameLetterHeights

    public boolean isSameLetterHeights()
    Checks if is same letter heights.
    Returns:
      true, if is same letter heights

  - ### setSameLetterHeights

    public void setSameLetterHeights​(boolean sameLetterHeights)
    Sets the same letter heights.
    Parameters:
      `sameLetterHeights` - the new same letter heights

  - ### getTextAlignment

    public TextAlignment getTextAlignment()
    Gets the text alignment.
    Returns:
      the text alignment

  - ### setTextAlignment

    public void setTextAlignment​(TextAlignment textAlignment)
    Sets the text alignment.
    Parameters:
      `textAlignment` - the new text alignment

  - ### hasEnableKerning

    public boolean hasEnableKerning()
    Checks for enable kerning.
    Returns:
      true, if successful

  - ### setEnableKerning

    public void setEnableKerning​(boolean enableKerning)
    Sets the enable kerning.
    Parameters:
      `enableKerning` - the new enable kerning

  - ### isReverse

    public boolean isReverse()
    Checks if is reverse.
    Returns:
      true, if is reverse

  - ### setReverse

    public void setReverse​(boolean isReverse)
    Sets the reverse.
    Parameters:
      `isReverse` - the new reverse

  - ### getTextSpacingMode

    public TextSpacingMode getTextSpacingMode()
    Gets the text spacing mode.
    Returns:
      the text spacing mode

  - ### setTextSpacingMode

    public void setTextSpacingMode​(TextSpacingMode textSpacingMode)
    Sets the text spacing mode.
    Parameters:
      `textSpacingMode` - the new text spacing mode

  - ### getTextSpacing

    public String getTextSpacing()
    Gets the text spacing.
    Returns:
      the text spacing

  - ### setTextSpacing

    public void setTextSpacing​(String textSpacing)
    Sets the text spacing.
    Parameters:
      `textSpacing` - the new text spacing